/*
 * Filename: dipio.h
 *
 * (C) Copyright 2000                    Pattern Recognition Group
 *     All rights reserved               Faculty of Applied Physics
 *                                       Delft University of Technology
 *                                       Lorentzweg 1
 *                                       2628 CJ Delft
 *                                       The Netherlands
 *
 * Contact: Dr. ir. Lucas J. van Vliet
 * email : lucas@ph.tn.tudelft.nl
 *
 */

#ifndef DIPIO_TOOLS_H
#define DIPIO_TOOLS_H

#ifdef __cplusplus
extern "C" {
#endif


typedef struct
{
   dip_String              name;
   dip_DataType            type;
   dip_IntegerArray        dimensions;
   dip_PhysicalDimensions* physDims;
   dip_StringArray         other;
   dip_Resources           resources;
} dipio__ImageFileInformation, *dipio_ImageFileInformation;

DIPIO_ERROR dipio_ImageFileInformationNew ( dipio_ImageFileInformation *,
                                            char *, dip_DataType,
                                            dip_IntegerArray, dip_Resources );
DIPIO_ERROR dipio_ImageFileInformationFree( dipio_ImageFileInformation * );

/* File I/O support functions */
DIPIO_ERROR dipio_FileGetExtension ( dip_String, dip_String *, dip_Resources );
DIPIO_ERROR dipio_FileAddExtension ( dip_String, dip_String *, char *,
                                     dip_Resources );
DIPIO_ERROR dipio_FileCompareExtension ( dip_String, char *, dip_Boolean * );
DIPIO_ERROR dipio_ImageFindForReading ( dip_String, dip_String *, dip_int *,
                                        dip_Boolean, dip_Boolean *, dip_Resources );
DIPIO_ERROR dipio_Colour2Gray          ( dip_Image, dip_Image,
                                         dipio_PhotometricInterpretation );


#ifdef __cplusplus
}
#endif


#endif /* DIPIO_H */
