%SLICE_OP Apply a function to all slices in the last image dimension 
%
%  With this function handling operation on time series 
%  become much easier, where the operation should only be done 
%  per time slice.
%
%  SYNOPSIS:
%   image_out = slice_op('function',image_in, par1, par2,...)
% 
%  EXAMPLE:
%    a = 2D +time dip_image
%    b = slice_op('gaussf',a,2)
%    same as b = dip_gauss(a,[1 1 0],[2 2 0],[0 0 0])
% 
%  See also: ITERATE, IMARFUN

% (C) Copyright 1999-2001               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Bernd Rieger, Aug 2001
function out = slice_op(varargin)

oper = varargin{1};
in = varargin{2};
%varargin{3:end}
sz = size(in);
di = ndims(in);
s1 = repmat(':,',1,di-1);
s2 = ['feval(oper,squeeze(in.data(' s1 'ii)),varargin{3:end});'];
s3 = ['out.data(' s1 'ii)=' s2];

%set output type
ii = 1;
tmp = eval(s2);
out = dip_image(in,datatype(tmp));

for ii = 1:sz(end)	
	eval(s3)	
end

