%dip_measure   Measure stuff in a labeled image.
%    data = dip_measure(objectimage, intensityimage, measurements,...
%           objects, connectivity)
%
%   objectimage
%      Labeled image (result from dip_label).
%   intensityimage
%      Grayvalue image.
%   measurements
%      What to measure. Cell array containing some of these strings:
%         dimension      : object dimensions
%         mean           : mean object intensity
%         stddev         : standard deviation of object intensity
%         gravity        : center of object mass
%         size           : size of object pixels
%         center         : mean object coordinates
%         max            : maximum of object coordinates
%         min            : minimum of object coordinates
%         maxval         : maximum object intensity
%         minval         : minimum object intensity
%         perimeter      : object perimeter object (pixels)
%         feret          : maximum and minimum object diameter (pixels)
%         surfarea       : surface area of object (pixels^2)
%         inertia        : object inertia moments
%         ginertia       : object inertia moments grey value weigthed
%         mu             : object inertia tensor
%         gmu            : object inertia tensor grey value weigthed
%         mass           : object sum of grey values
%         sum            : object inertia moments
%   objects
%      Integer array. Which objects to measure.
%   connectivity
%      Integer number. Only used whith some measurement functions.
%         number <= dimensions of in
%         pixels to consider connected at distance sqrt(number)
%
%   data
%      Output object containing the measured vales.
%
%   When MEASUREMENTS is an empty array, this function returns an array containing
%   only object IDs.
%
%   If the OBJECTS array is empty, the measurement is performed on all objects.

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, May 2000.
