%dipio_colour2gray   Convert 3D image with colour information to a 2D grayvalue image.
%    out = dipio_colour2gray(in, photometric)
%
%   in
%      Image.
%   photometric
%      String containing one of the following values:
%      'grayvalue', 'RGB', 'generic', 'YCbCr', 'CIElab', 'CMYK'
%
% This function converts a colour image, as read by dipio_imagereadtiff, to a grayvalue
% image. in is expected to be a 3D image, with the colour information along the third
% axis. out will be a 2D scalar image.
%
% KNOWN BUGS
% Actually only RGB is correctly converted. For YCBCR and CIELAB, the first plane
% is returned, which contains the intensity or luminosity channel. CMYK is not
% correcty converted at all.

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, July 2000.
